/*
 * JavaScript Stub Appspresso Plugin
 * 
 * id: com.kth.usagelog
 * version: 1.0.0
 * feature: <feature id="" category="Custom" />
 */

(function(){
	function init(callback, errback, appName, loggerWithUsageWebUrl, xtLId) {
		if(!appName) {
			throw ax.error(ax.INVALID_VALUES_ERR, 'invalid argument!');
		}
		
		return this.execAsync('init', callback, errback, [ appName, loggerWithUsageWebUrl||null, xtLId||null]);
	}

	function fireUsageLog(eventType, eventDesc, categoryId) {		
		if(!eventType) {
			throw ax.error(ax.INVALID_VALUES_ERR, 'invalid argument!');
		}
		return this.execSync('fireUsageLog', [ eventType, eventDesc||null, categoryId||null ]);
	}

	 ax.plugin('com.kth.usagelog', {
			'init':init,
			'fireUsageLog': fireUsageLog
	 	}, 'com.kth.usagelog');
})();