/*
 * JavaScript Stub Appspresso Plugin
 * 
 * id: bx.ext.screw.ui
 * version: 1.0.0
 * feature: <feature id="" category="Custom" />
 */

(function(){
	var watchID = null;
    function _clearUp() {
        if (watchID !== null) {
            self.stopWatch('__removeContext', watchID);
        }
    }
    
	function addTextView(callback, errback, message, opts) {		
		var callbackWrapper = function(result) {
            callback(result);
        }, errorbackWrapper = function(error) {
            _clearUp();
            callback(error);
        };
		
        var watchID = this.watch('addTextView', callbackWrapper, errorbackWrapper, [message, opts]),
        timeout = null;
        
		//return this.execAsync('addTextView', callback, errback, [ message, opts ]);
	}
	
	function removeTextView(callback, errback) {
		_clearUp();
		return this.execAsync('removeTextView', callback, errback);
	}
	
	function resetTextView(opts) {
		return this.execAsync('resetTextView',  ax.nop, ax.nop, [opts||[]]);
	}
	window.uiPlugin = ax.plugin('bx.ext.screw.ui', {
		'addTextView': addTextView,
		'removeTextView': removeTextView,
		'resetTextView': resetTextView
	}, 'bx.ext.screw.ui');
})();
